#!/bin/sh
#------------------------------------------------------------------------------
# main_domblk - Bearbeiten der zu blockenden Domains zur Laufzeit
#						to test with fli4l 2.1.5
# Creation:                26.12.2003  hei
# Last modified:        25.02.2004  hei
# written by:        Till Heidtmann <t.heidtmann@web.de>
# Version:      2.1.2 (beta)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation in Version 2; Not any previous or future
# version.
#-----------------------------------------------------------------------------


SEC_REALM='DomBlk'
SEC_ACTION='show'

. ./sec-lib.cgi

myname=`basename $0`
# HTML-Header
echo "Content-Type: text/html; charset=iso-8859-1"
echo "Cache-control: no-cache"
echo "Pragma: no-cache"
echo
echo "<html><head>"
echo "<title>domblk 2.1.1</title>"
echo "<LINK REL=STYLESHEET TYPE="text/css" HREF="main.css">"
echo "</head>"
echo "<body>"
echo "<h1>domblk 2.1.1</h1>"
echo "<P><B>Status:</B>"
if [ -f /var/run/domblk.repeat ]
then
echo "<font color=#bb0000>Fehler: Aufl&ouml;sung mindestens einer denydom bislang missgl&uuml;ckt.<br>
Internetzugang f&uuml;r alle komplett gesperrt ausser den accepthosts und den fli-Router.<br>
Bitte die Liste der denydoms &uuml;berpr&uuml;fen!<br>
Ggfs. bitte mindestens 20 sec warten und diese Seite aktualisieren, um den tats&auml;chlich aktuellen Status
angezeigt zu bekommen.</font>"
else
echo "<font color=#00bb00>ok. Router offline oder denydoms gesperrt ausser f&uuml;r die accepthosts.<br>
Ggfs. bitte mindestens 20 sec warten und diese Seite aktualisieren, um den tats&auml;chlich aktuellen Status
angezeigt zu bekommen.</font>"
fi
echo "</P>"

echo "<P><B>denydoms:</B>  Zu blockenden Domains (Namen, Netze oder IP-Adressen, ein Eintrag pro Zeile):<P>"
  echo "<FORM  ACTION=\"domblk_update.cgi\" method=\"post\">"
  echo "<DIV ALIGN=CENTER>"
  echo "<P><TEXTAREA NAME=DOMBLKDDOMS ROWS=3 COLS=70 WRAP=HARD>"
  [ -f /var/run/domblk.denydom ]&& cat /var/run/domblk.denydom
  echo "</TEXTAREA></P>"
  echo "</DIV>"

echo "<P><B>accepthosts:</B>  Hosts, die dennoch Zugriff haben (Namen, Netze oder IP-Adressen, ein Eintrag pro Zeile):<P>"
  echo "<DIV ALIGN=CENTER>"
  echo "<P><TEXTAREA NAME=DOMBLKAHOSTS ROWS=3 COLS=70 WRAP=HARD>"
  [ -f /var/run/domblk.accepthost ]&& cat /var/run/domblk.accepthost
  echo "</TEXTAREA></P>"
  echo "</DIV>"

echo "<P><B>errpage:</B>  Server, auf den Anfragen fr die gesperrten Seiten umgeleitet werden (Hostname, FQDN oder IP-Adresse):<P>"
  echo "<DIV ALIGN=CENTER>"
  echo "<P><TEXTAREA NAME=DOMBLKERRPAGEH ROWS=1 COLS=70 WRAP=HARD>"
  [ -f /var/run/domblk.errpageh ]&& cat /var/run/domblk.errpageh
  echo "</TEXTAREA></P>"
  echo "</DIV>"
echo "Port dazu (Portnummer oder leer, dann wird Port 80 genommen):<P>"
  echo "<DIV ALIGN=CENTER>"
  echo "<P><TEXTAREA NAME=DOMBLKERRPAGEP ROWS=1 COLS=70 WRAP=HARD>"
  [ -f /var/run/domblk.errpagep ]&& cat /var/run/domblk.errpagep
  echo "</TEXTAREA></P>"
  echo "</DIV>"

  echo "<DIV ALIGN=CENTER>"
  echo "<P><INPUT TYPE=SUBMIT NAME=\"ok\" VALUE=\"&Auml;nderungen ausf&uuml;hren\"></P>"
  echo "</DIV>"
  echo "</FORM>"

echo "</body></html>"