#!/bin/sh
#-------------------------------------------------------------------------
# files/usr/local/bin/domblk_conf_errpage - configure errpage
#						to test with fli4l 2.1.5
# Creation:     25.06.2003  hei
# Last Update:  25.02.2004  hei
# Version:      2.1.2
#-------------------------------------------------------------------------


# configure errorpage:
errhost=`cat /var/run/domblk.errpageh`
errport=`cat /var/run/domblk.errpagep`

errip=''
if [ `echo $errhost | /usr/bin/grep -c [a-zA-Z]` -gt "0" ] # if letters in errhost then hostname
then
	errip=`echo \`/usr/local/bin/gethostip $errhost\` | cut -d ' ' -f 1` # get only first IP-Addr.
else
	errip=$errhost
fi

if test -n "$errip"
then
	if [ "$errport" = "" ]
	then
		echo "$errip:80">/var/run/domblk.errpage
	else
		echo "$errip:$errport">/var/run/domblk.errpage
	fi
else
	rm -f /var/run/domblk.errpage
	# echo "DOMBLK: no server for errorpage found"
fi

# have fun.
